fuss-manager - Segnalazione #862

form/view di login
06/28/2019 01:47 PM - Elena Grandi

Status: Chiuso Start date: 06/28/2019
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7 Autenticazione e autorizzazione

Resolution:

Description

Creare una view per il login, inizialmente senza funzionalita backend.

In secondo tempo, aggiungere la funzionalita backend relativa (questa seconda parte dopo #856)

Related issues:

Related to fuss-manager - Segnalazione #909: Impostare la directory di destin... Nuovo 09/30/2019
Related to fuss-manager - Segnalazione #856: interfaccia con LDAP asincrona ... Chiuso 06/28/2019
Related to fuss-manager - Segnalazione #860: inserire nome utente e permessi ... Chiuso 06/28/2019
Related to fuss-manager - Segnalazione #863: Aggiungere permission checking a... Chiuso 06/28/2019

Associated revisions

Revision a647ccd6 - 07/04/2019 10:57 AM - Mark Caglienzi
Add login.html template. refs #862

Revision 88b4acd3 - 07/04/2019 10:57 AM - Mark Caglienzi

Add Login view, using the new template. refs #862

Revision 8469637f - 07/04/2019 10:58 AM - Mark Caglienzi
Add the /login url, using the new Login view. refs #862

Revision afed740a - 07/04/2019 10:59 AM - Mark Caglienzi

Show the Login link in the main navbar. refs #862

Revision 89e932d6 - 07/09/2019 01:15 PM - Enrico Zini
Merge with t856 to try using it as the login backend. refs: #862

Revision 1b8b33ff - 07/09/2019 01:24 PM - Enrico Zini
Drafted initial post method for login. refs: #3862

Revision ccb43a81 - 07/09/2019 01:26 PM - Enrico Zini
Updated merge of t856. refs: #862

Revision 805ec6d6 - 09/29/2019 08:39 AM - Enrico Zini
Sync with master. refs: #862

Revision 4be0daa8 - 09/29/2019 11:45 AM - Enrico Zini

Added an initial session manager implementation. refs: #862

Revision d5d3991b - 09/29/2019 12:19 PM - Enrico Zini
Deal with the default of web_session_dir being None. refs: #862

Revision 92bd1fac - 09/29/2019 12:20 PM - Enrico Zini
Added an async init method to Manager and Application. refs: #862

Revision 55780199 - 09/29/2019 12:36 PM - Enrico Zini

Removed jessie workaround for AsyncTestCase, and switch to async/await. refs: #862

Revision 3cb63d35 - 09/29/2019 01:22 PM - Enrico Zini

Load session and user information in views. refs: #862

Revision 2093dff2 - 09/29/2019 01:26 PM - Enrico Zini

Export user information to web apis. refs: #862

Revision bd1db906 - 09/30/2019 02:27 PM - Enrico Zini

user -> current_user as standardized in tornado. refs: #862

Revision 86ac5124 - 09/30/2019 02:28 PM - Enrico Zini
Added an AsyncHTTPClientWithCookies wrapper to AsyncHTTPClient for testing. refs: #862

Revision 7258bc7a - 09/30/2019 02:28 PM - Enrico Zini

Use AsyncHTTPClientWithCookies for testing instead of setting session id cookie manually in headers. refs: #862

Revision b9f050f0 - 09/30/2019 02:28 PM - Enrico Zini
Enable XSRF protection. refs: #862

Revision 62c6561b - 09/30/2019 02:35 PM - Enrico Zini
Fix tests that require HTTP POSTs protected by XSRF protection. refs: #862

Revision Obddaa3e - 09/30/2019 02:43 PM - Enrico Zini
Get XSRF token in base template, and and send it in POST requests. refs: #862

History

#1 - 07/02/2019 10:13 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 07/04/2019 10:22 AM - Mark Caglienzi

- Blocked by Segnalazione #856: interfaccia con LDAP asincrona per tornado added

#3 - 07/04/2019 11:01 AM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Enrico Zini

Aggiunta la pagina di login con un form e un link nella navbar.
Non c'é nessun backend per ora ovviamente, ma solo un <form> con gli input e il pulsante di submit, che al momento non fanno nulla.
Non ci sono nemmeno, al momento, i link per resettare la password o cambiarla (ci vorra il backend anche per queste funzioni).

Branch t862 non mergiato in master
#4 - 07/09/2019 01:27 PM - Enrico Zini

Ho implementato un primo backend basato sul mio primo draft di #856

#5 - 07/09/2019 01:36 PM - Enrico Zini

- Assignee changed from Enrico Zini to Mark Caglienzi

Il passo successivo € scrivere un semplice session manager, generare un cookie di sessione alla post del login, associarlo all'utente nel backend, e
in tutte le altre view vedere se c'¢ il cookie.

Un primo semplice session manager puo essere una directory di file json il cui nome € il nome del cookie.

Giro il ticket per poter continuare lo sviluppo se io non sono disponibile.

#6 - 07/10/2019 03:29 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#7 - 07/11/2019 12:03 PM - Elena Grandi

- Blocks Segnalazione #863: Aggiungere permission checking a operation e APl added

#8 - 09/29/2019 01:31 PM - Enrico Zini
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Elena Grandi

Ho implementation un session manager manager/web/session.py con un'implementazione in RAM che non richiede configurazione, e una su
filesystem che richiede di settare Config.web_session_dir.

La chiave di sessione viene gestita in un cookie chiamato sid.

L'oggetto User viene serializzato e salvato nella sessione dopo un'autenticazione effettuata con successo.

L'oggetto User e l'oggetto Session sono esportati in tutti i RequestHandler, e I'oggetto User viene passato a tutte le funzioni di web API.

Mentre sistemavo i test di queste funzioni, sono partito con fix a cascata che hanno portato al porting a async/await dei vari unit test, con rimozione
dell'AsyncTestCase di workaround in tests/common.py

Riassegno per verifica e possibilmente merge in master.

Quello che manca, e che credo esuli da questo ticket, &€ mostrare il nome utente corrente nel master template, e fare effettivamente autorizzazione in
base ai permessi utente.

#9 - 09/30/2019 10:50 AM - Elena Grandi

- Related to Segnalazione #909: Impostare la directory di destinazione per i dati di sessione added
#10 - 09/30/2019 11:38 AM - Elena Grandi
- % Done changed from 0 to 100

Mergiata in master.
Confermo che per il nome utente nell'interfaccia c'e #860, mentre per il check dei permessi c'e #863.

Qui intanto cerco di chiudere (redmine permettendo).

#11 - 09/30/2019 11:39 AM - Elena Grandi

- Related to Segnalazione #856: interfaccia con LDAP asincrona per tornado added

#12 - 09/30/2019 11:40 AM - Elena Grandi

- Blocked by deleted (Segnalazione #856: interfaccia con LDAP asincrona per tornado)

#13 - 09/30/2019 11:40 AM - Elena Grandi

- Status changed from Commenti to Chiuso

#14 - 09/30/2019 11:41 AM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

#15 - 09/30/2019 11:42 AM - Elena Grandi

- Related to Segnalazione #860: inserire nome utente e permessi attivi all'interno dell’HTML nel template di base added

#16 - 09/30/2019 12:12 PM - Elena Grandi

- Blocks deleted (Segnalazione #863: Aggiungere permission checking a operation e API)

#17 - 09/30/2019 12:12 PM - Elena Grandi

- Related to Segnalazione #863: Aggiungere permission checking a operation e APl added

#18 - 09/30/2019 12:13 PM - Elena Grandi

- Status changed from Chiuso to In elaborazione

riapro per parti mancanti (ma ho tolto il blocco su #863, dato che ora c'é sufficiente materiale per lavorarci)

#19 - 09/30/2019 02:46 PM - Enrico Zini
- Status changed from In elaborazione to Chiuso

- Assignee changed from Enrico Zini to Elena Grandi

Ho implementato la parte di XSRF protection che mancava, mergiato in master, chiudo.
